Next: COUNT, Previous: COTAN, Up: Intrinsic Procedures

### 8.77 `COTAND` — Cotangent function, degrees

Description:
  `COTAND(X)` computes the cotangent of X in degrees. Equivalent to `COSD(x)` divided by `SIND(x)`, or `1 / TAND(x)`.
Standard:
  GNU extension, enabled with `-fdec-math`.

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Class:
  Elemental function
Syntax:
  `RESULT = COTAND(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X, and its value is in degrees.
Example:

                program test_cotand
                  real(8) :: x = 0.165_8
                  x = cotand(x)
                end program test_cotand

Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `COTAND(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DCOTAND(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:
  Converse function: TAND Radians function: COTAN